;За отсутствием у меня файлов OpenOffice, тестирование не проводилось
;просто прикинул, как бы должна была выглядеть коммандная строка  

;OpenOffice.org
[ODT]
fileout1="[N].txt"
command1=c:\WINCMD\Content_wdx\TextSearch\Conv\ODF\OdfToTxt.exe "filein" /Out="fileout" /ANSI /NoHead

[ODS]
synonym=ODT
; и т.д.

[pdf]
;балуемся с разными вариантами названий выходных файлов
;[N] - имя исходного файла
;[E] - расширение (без ведущей точки)
fileout1="[N]_u.txt"
fileout2="[N]_k.[E].txt"
fileout3="[N]_a.txt"
command1=c:\WINCMD\Content_wdx\TextSearch\Conv\PDF\pdftotext.exe -layout -enc UTF-8 "filein" "fileout"
command2=c:\WINCMD\Content_wdx\TextSearch\Conv\PDF\pdftotext.exe -layout -enc KOI8-R "filein" "fileout"
command3=c:\WINCMD\Content_wdx\TextSearch\Conv\PDF\pdftotext.exe -layout "filein" "fileout"
;теперь можно включить примитивный лог команд
;лог будет писаться в файл executor.log в папке плагина
log=1
;показываем консоль
ShowConsole=1

[ai]
synonym=pdf
